<?php
/**
*
* @package Post When Locked
* @copyright (c) 2015 Bruninoit
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/
namespace bruninoit\pwl\event;
/**
* @ignore
*/
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
/**
* Event listener
*/
class pwl implements EventSubscriberInterface
{
	static public function getSubscribedEvents()
	{
		return array(
			'core.mcp_lock_unlock_after'						=> 'action',
          'core.user_setup' => 'lang'
			);
	}
	/* @var \phpbb\template\template */
	protected $template;
    	protected $config;
    	//protected $config_text;
	/** @var \phpbb\db\driver\driver_interface */
	protected $db;
	/** @var \phpbb\user */
	protected $user;
	//protected $wvtt_table;
	protected $root_path;
	protected $phpEx;
	/** @var \phpbb\auth\auth */
	protected $auth;
    /** @var \phpbb\controller\helper */
    protected $controller_helper;
	
	/**
	* Constructor
	*
	* @param \phpbb\controller\helper	$helper		Controller helper object
	* @param \phpbb\template			$template	Template object
	*/
	public function __construct(\phpbb\controller\helper $controller_helper, \phpbb\template\template $template, \phpbb\db\driver\driver_interface $db, \phpbb\user $user, $root_path, $phpEx, \phpbb\auth\auth $auth, \phpbb\config\config $config)	{
        $this->controller_helper = $controller_helper;
        $this->template = $template;
		$this->db = $db;
		$this->user = $user;
		$this->config = $config;		
		$this->root_path = $root_path;
		$this->phpEx   = $phpEx;
		$this->auth = $auth;
	}
	


	
	public function lang($event)
	{
    
		$lang_set_ext = $event['lang_set_ext'];
		$lang_set_ext[] = array(
			'ext_name' => 'bruninoit/pwl',
			'lang_set' => 'common',
		);
		$event['lang_set_ext'] = $lang_set_ext;
     
	}
	public function action($event)
	{
    include($this->root_path . 'includes/functions_posting.' . $this->phpEx);
$action = $event['action'];
$ids = $event['ids'];
$data = $event['data'];
if($action == "lock")
{
foreach($ids as $id)
{
//code
$query = $this->db->sql_query("SELECT config_value from ". CONFIG_TEXT_TABLE ."
WHERE config_name = 'pwl_text'");
$ris = $this->db->sql_fetchrow($query);
$title = $this->config['pwl_title'];
$text = $ris['config_value'];
$sign = $this->config['pwl_sign'];
generate_text_for_storage($text, $uid, $bitfield, $inutil, true, true, true);
$data = array(
'forum_id' => $data[$id]['forum_id'],
'topic_id' => $id,
'poster_id' => $this->user->data['user_id'],
'icon_id' => 0,
'message' => $text,
'message_md5' => md5($text),
//'topic_title' => $title,
'force_approved_state' => true,
'force_visibility' => true,
'enable_bbcode' => true,
'enable_smilies' => true,
'enable_urls' => true,
'enable_sig' => $sign,
'post_edit_locked' => 1,
'bbcode_bitfield' => $bitfield,
'bbcode_uid' => $uid,
'enable_indexing' => false,
'notify_set' => '',
'notify' => false,
'forum_name' => ''
);
$po = '';
submit_post("reply", $title, "", POST_NORMAL, $po, $data);
}
}

    }
}
