<?php
/** 
* 
* @package Post When Locked
* @copyright (c) 2015 BruninoIt
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2 
* 
*/ 
namespace bruninoit\pwl\migrations;
class release_0_1_0 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['pwl_text']);
	}
	static public function depends_on()
	{
		return array('\phpbb\db\migration\data\v310\alpha2');
	}
	public function update_data()
	{
		return array(
			array('config.add', array('pwl_text', '')),
			array('config.add', array('pwl_title', '')),
			array('module.add', array(
				'acp',
				'ACP_CAT_DOT_MODS',
				'ACP_PWL_CATEGORY'
			)),
			array('module.add', array(
				'acp',
				'ACP_PWL_CATEGORY',
				array(
					'module_basename'	=> '\bruninoit\pwl\acp\main_module',
					'modes'			=> array('settings')
				),
			)),
		);
	}
}
